Loading...
Searching...
No Matches
XrdPfc::BlockResponseHandler Class Reference

`#include <XrdPfcFile.hh>`

Inheritance diagram for XrdPfc::BlockResponseHandler:
Collaboration diagram for XrdPfc::BlockResponseHandler:

## Public Member Functions

| BlockResponseHandler (Block *b)
void | Done (int result) override
Public Member Functions inherited from XrdOucCacheIOCB
| XrdOucCacheIOCB ()
virtual | ~XrdOucCacheIOCB ()

## Public Attributes

Block * | m_block

## Detailed Description

Definition at line 171 of file XrdPfcFile.hh.

## Constructor & Destructor Documentation

## BlockResponseHandler()

XrdPfc::BlockResponseHandler::BlockResponseHandler | ( | Block * | b | ) |

inline

Definition at line 176 of file XrdPfcFile.hh.

: m_block(b) {}
XrdPfc::BlockResponseHandler::m_block
Block * m_block
Definition XrdPfcFile.hh:174

References m_block.

## Member Function Documentation

## Done()

void BlockResponseHandler::Done | ( | int | result | ) |

override virtual

Handle result from a previous async operation.

Parameters

  result | is result from a previous operation. Successful results are always values >= 0 while errors are negative values and are always '-errno' indicate the reason for the error.

Implements XrdOucCacheIOCB.

Definition at line 1750 of file XrdPfcFile.cc.

{
m_block->m_file->ProcessBlockResponse(m_block, res);
delete this;
}

References m_block.

## Member Data Documentation

## m_block

Block* XrdPfc::BlockResponseHandler::m_block

Definition at line 174 of file XrdPfcFile.hh.

Referenced by BlockResponseHandler(), and Done().

The documentation for this class was generated from the following files:

- XrdPfcFile.hh
- XrdPfcFile.cc